# SubRemoveHostEvent (SubServers.Sync)

net.ME1312.SubServers.Sync.Event

## Class SubRemoveHostEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Sync.Event.SubRemoveHostEvent

All Implemented Interfaces:
  SubEvent

    public class SubRemoveHostEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent

Remove Server Event

### Constructor Summary

Constructors
Constructor and Description
`SubRemoveHostEvent(java.util.UUID player, java.lang.String host)` Server Remove Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()` Gets the Host to be Removed
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubRemoveHostEvent

    public SubRemoveHostEvent(java.util.UUID player,
                              java.lang.String host)

Server Remove Event

Parameters:
  `player` - Player Adding Host
  `host` - Server Starting

### Method Detail

#### getHost

    public java.lang.String getHost()

Gets the Host to be Removed

Returns:
  The Host to be Removed

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console